[PATCH] leftover bits for git rename

From: Junio C Hamano <junkio@cox.net>
Date: 2005-04-30 08:42:09
  commit 2d280e1c5e6fdcf5428e60219eae14a2c6629c51
  parent aed7a5a9dab96d1a17be4fadf7685086047178cc
  author Linus Torvalds <torvalds@ppc970.osdl.org> Fri Apr 29 15:02:43 2005
  committer Linus Torvalds <torvalds@ppc970.osdl.org> Fri Apr 29 15:02:43 2005

    Update the merge scripts for the big git rename.

    Let's see what else I forgot..

Not that many, but here they are.

Signed-off-by: Junio C Hamano <junkio@cox.net>
----

git-merge-one-file-script |    6 +++---
git-prune-script          |    2 +-
git-tag-script            |    2 +-

cd /opt/packrat/playpen/public/in-place/git/git.linus/
jit-snap -v 0
# - [PATCH] Makefile: The big git command renaming fallout fix.
# + working tree
--- k/git-merge-one-file-script  (mode:100755)
+++ l/git-merge-one-file-script  (mode:100755)
@@ -9,7 +9,7 @@
 #
 #
 # Handle some trivial cases.. The _really_ trivial cases have
-# been handled already by read-tree, but that one doesn't
+# been handled already by git-read-tree, but that one doesn't
 # do any merges that migth change the tree layout
 #
 
@@ -41,7 +41,7 @@ case "${1:-.}${2:-.}${3:-.}" in
 #
 ".$2." | "..$3" )
 	echo "Adding $4 with perm $6$7"
-	mv $(unpack-file "$2$3") $4
+	mv $(git-unpack-file "$2$3") $4
 	chmod "$6$7" $4
 	git-update-cache --add -- $4
 	exit 0
@@ -55,7 +55,7 @@ case "${1:-.}${2:-.}${3:-.}" in
 		exit 1
 	fi
 	echo "Adding $4 with perm $6"
-	mv $(unpack-file "$2") $4
+	mv $(git-unpack-file "$2") $4
 	chmod "$6" $4
 	git-update-cache --add -- $4
 	exit 0;;
--- k/git-prune-script  (mode:100755)
+++ l/git-prune-script  (mode:100755)
@@ -1,2 +1,2 @@
 #!/bin/sh
-fsck-cache --unreachable $(cat .git/HEAD ) | grep unreachable | cut -d' ' -f3 | sed 's:^\(..\):.git/objects/\1/:' | xargs rm
+git-fsck-cache --unreachable $(cat .git/HEAD ) | grep unreachable | cut -d' ' -f3 | sed 's:^\(..\):.git/objects/\1/:' | xargs rm
--- k/git-tag-script  (mode:100755)
+++ l/git-tag-script  (mode:100755)
@@ -1,6 +1,6 @@
 #!/bin/sh
 object=${2:-$(cat .git/HEAD)}
-type=$(cat-file -t $object) || exit 1
+type=$(git-cat-file -t $object) || exit 1
 ( echo -e "object $object\ntype $type\ntag $1\n"; cat ) > .tmp-tag
 rm -f .tmp-tag.asc
 gpg -bsa .tmp-tag && cat .tmp-tag.asc >> .tmp-tag


-
To unsubscribe from this list: send the line "unsubscribe git" in
the body of a message to majordomo@vger.kernel.org
More majordomo info at  http://vger.kernel.org/majordomo-info.html
Received on Sat Apr 30 08:42:55 2005

This archive was generated by hypermail 2.1.8 : 2005-04-30 08:42:56 EST